/* Lattefy Uy | Style */

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

*, 
*::before,
*::after {
  margin: 0;
  box-sizing: border-box;
}
body {
    overflow-x: hidden;
    font-family: "Poppins", sans-serif;
    color: var(--dark);
    background: var(--bg-color);
    opacity: 1;
    backdrop-filter: blur(10px);
    height: 100vh;
}
html {
    scroll-behavior: smooth;
}
img {
    width: 100%;
}
h1 {
    color: var(--dark);
    font-size: 24px;
}
p {
    font-size: 14px;
}
a {
    text-decoration: none;
}
.check {
    width: 60px;
    margin: 0 0 10px 0;
}
main {
    width: 100vw;
}
div {
    padding: 0;
}

/* Color Pallette */

:root {
    --dark: #181C1f;
    --grey: #666e77;
    --light: #f3f4f6;
    --primary: #1778f2;

    --bg-color: #f0f1f3;
    --border-color: #ddd;
    --border-color-active: var(--primary);
    --input-bg-color: #eee;
    --btn-text-color: #fff;
    --nav-bg-color: rgba(255, 255, 255, 1);
    --container-bg-color: #fff;
}

/* LOADER */

#loader {
    background: var(--dark) url(images/loaders/loader-white.svg) no-repeat center center;
    display: block;
    background-size: 10%;
    position: fixed;
    height: 100vh;
    width: 100vw;
    position: fixed;
    z-index: 100;
}

/* BUTTON */

.btn {
    width: 100%;
    height: 45px;
    margin: 15px 0;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: 0.3s ease-in-out;
    font-family: "Poppins", sans-serif;
    background-color: var(--dark);
    color: var(--btn-text-color);
}
.btn:hover {
    opacity: 0.75;
}

.link {
    font-size: 14px;
    text-align: center;
}
.link p a {
    color: var(--primary);
}
.link p a:hover {
    text-decoration: underline;
}

/* INPUT */

input {
    height: 45px;
    width: 100%;
    outline: none;
    margin: 0 0 3px 0;
    padding: 0 15px;
    border-radius: 8px;
    border: 1.5px solid var(--border-color);
    background-color: var(--input-bg-color);
    font-size: 14px;
    font-family: "Poppins", sans-serif;
    transition: all 0.3s ease;
    color: var(--dark);
}
input:focus {
    border-color: var(--border-color-active);
}

select {
    padding: 0 15px;
    height: 45px;
    width: 100%;
    margin: 0 0 3px 0;
    border: 1.5px solid var(--border-color);
    border-radius: 8px;
    color: var(--dark);
    background-color: var(--light);
    font-family: 'Poppins', sans-serif;
}

label {
    color: var(--grey);
    font-size: 10px;
    font-weight: 500;
}


/* Navigation Bar */

nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;

    width: 100vw;
    height: 55px;
    padding: 10px 2vw;
    z-index: 2;

    background-color: var(--nav-bg-color);    
}

/* Navigation Bar - logo */

nav a .logo {
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 1;
}
nav a .logo i {
    font-size: 30px;
    color: var(--dark);
    margin: 0 7px 7px 0;
}
nav a .logo h2{
    font-family: 'Poppins';
    font-weight: 700;
    font-size: 23px;
    margin-bottom: 0;
    color: var(--dark);
}

/* Navigation Bar - burger */

nav .burger {
    display: block;
    cursor: pointer;
    position: relative;
    margin: 0 20px 0 10px;
}
nav .burger span {
    width: 25px;
    height: 2px;
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: var(--grey);
    transition: 0.4s;
}
nav .burger .line-1 {
    transform: translate(-50%, -7px);
}
nav .burger .line-3 {
    transform: translate(-50%, 5px);
}


/* Container */

section{
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    padding: 10vw 10vw;

    height: calc(100vh - 55px);
    transform: translateY(55px);
    width: 100vw;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: left;
    text-align: left;
    justify-content: space-evenly;

    min-height: 400px;
    height: auto;

    background-color: var(--container-bg-color);
    padding: 30px;
    border-radius: 15px;
}
.container .header {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
    margin-bottom: 10px;
}
.container .forms {
    display: flex;
    gap: 10px;
}
.container form {
    text-align: left;
}


#login .container {
    width: 320px;
} 
#signup .container {
    width: 700px;
} 
#thanks .container {
    width: 320px;
    text-align: center;
    align-items: center;
}



/* RESPONSIVE */

@media only screen and (max-width: 730px) {

    /* RESPONSIVE - Section */

    section {
        height: auto;
    }

    /* RESPONSIVE - Container */

    #signup .container .forms {
        flex-direction: column;
        gap: 0px;
    }

    #signup .container {
        width: 320px;
    }

}